Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135676 - Local Variables window should explicitly show JavaFX variables and class attributes
Local Variables window should explicitly show JavaFX variables and class attr...
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: TBD
Assigned To: Alexey Butenko
issues@javafx
:
Depends on: 144351
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 11:11 UTC by Alexandr Scherbatiy
Modified: 2008-10-22 09:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2008-05-23 11:11:43 UTC
Steps to reproduce:

- Create a JavaFX Script file:
------------------------------------------
import java.lang.System;

class A{
    public attribute a: Number ;
}

var c = 10;

var a = A{ a: 20 };

System.out.println(a);
------------------------------------------

- Add Breakpoint to the last line
- Run the Debugger
  The debugger stops on the Breakpoint
- Go to Local Variables window
  Expand the tree in the window

  The 'c' variable and 'a' class are not explicitly shown in the window
Comment 1 Alexey Butenko 2008-10-20 09:49:50 UTC
It is fixed
Comment 2 Alexandr Scherbatiy 2008-10-22 09:12:11 UTC
verified in 2008-10-22_03-01-09.zip 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo